# $Revision: 1.8 $, $Date: 2012/02/11 09:56:00 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Class
%define	pnam	Base
Summary:	Class::Base - useful base class for deriving other modules
Summary(pl.UTF-8):	Class::Base - klasa bazowa przydatna do tworzenia innych modułów
Name:		perl-Class-Base
Version:	0.04
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	526cc491f2a02991fce061bcc13e2fa8
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements a simple base class from which other modules
can be derived, thereby inheriting a number of useful methods such as
new(), init(), params(), clone(), error() and debug().

%description -l pl.UTF-8
Moduł ten zawiera implementację prostej klasy bazowej, która może
służyć do wywiedzenia z niej innych modułów, które tym samym
odziedziczą takie przydatne metody, jak new(), init(), params(),
clone(), error() i debug().

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes TODO
%{perl_vendorlib}/Class/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-Base.spec,v $
Revision 1.8  2012/02/11 09:56:00  zbyniu
- up to 0.04

Revision 1.7  2008/07/27 22:28:45  arekm
- release 2

Revision 1.6  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.4  2004/12/09 20:59:35  qboosh
- typo

Revision 1.3  2004/12/09 14:28:00  ankry
- kill empty %%if

Revision 1.2  2004/12/09 14:27:15  ankry
- pl

Revision 1.1  2004/12/09 12:26:07  radek
- new
